spatialite(1)

NAME
spatialite - CLI backend for SpatiaLite

SYNOPSIS
\FCspatialite\F[]
[OPTIONS] FILENAME [SQL]

DESCRIPTION
spatialite is a CLI backend for SpatiaLite.

OPTIONS

\FC-bail\F[]
    stop after hitting an error

\FC-batch\F[]
    force batch I/O

\FC-column\F[]
    set output mode to 'column'

\FC-cmd\F[] command
    run command before reading stdin

\FC-csv\F[]
    set output mode to 'csv'

\FC-echo\F[]
    print commands before execution

\FC-init\F[] filename
    read/process named file

\FC-[no]header\F[]
    turn headers on or off

\FC-help\F[]
    show help message

\FC-html\F[]
    set output mode to HTML

\FC-interactive\F[]
    force interactive I/O

\FC-line\F[]
    set output mode to 'line'

\FC-list\F[]
    set output mode to 'list'

\FC-multiplex\F[]
    enable the multiplexor VFS (if support built in)

\FC-nullvalue\F[] 'text'
    set text string for NULL values

\FC-separator\F[] 'x'
    set output field separator (|)

\FC-stats\F[]
    print memory stats before each finalize

\FC-version\F[]
    show SQLite version

\FC-vfs\F[] NAME
    use NAME as the default VFS

\FC-vfstrace\F[]
    enable tracing of all VFS calls (if support built in)